<?
/*
    This file is part of Edgar 0.2.1

    Edgar 0.2.1 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Edgar 0.2.1 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Edgar 0.2.1; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
define('SERVER', "yourserver.com");
define('PORT', "5222");
define('USERNAME', "edgar");
define('PASSWD', "edgarspassword");
define('ADMIN', "you@yourserver.com");
define('RESOURCE', "EdgarTheBot");
define('DBHOST', "localhost");
define('DATABASE', "edgarsdatabase");
define('DBUSER', "dbuser");
define('DBPASSWD', "dbpass");

# These settings control Edgar's behavior
// Poll frequency in seconds
//  Note that this should almost never be below 60
//  Lower numbers will result in more database access
//  This also affects how often to see if a reconnect is needed
define('POLLFREQ', 300);
// Process New Registrations
//  Possible values: auto, manual, highload(planned)
//   auto - automatically process registrations through edgar
//   manual - newreg.php must be manually executed to handle registrations
//   highload - automatically process registrations in a seperate process
//            - this is more resource intensive and takes longer
//            - the advantage is that Edgar is more responsive
define('NEWREG', "auto");
// Enable logging in Edgar
//  Possible values: 0, 1
define('EDGARLOG', 1);
//  Log filename - include a valid filename even if you don't use logging
define('EDGARLOGFILE', "log.txt");
// Enable logging in Batch mode (note, also for highload mode)
//  Possible values: 0, 1
define('BATCHLOG', 0);
//  Log filename - include a valid filename even if you don't use logging
define('BATCHLOGFILE', "subscribelog.txt");


# These settings control Edgar's look and feel
// This is the text sent for a subscription request
define('JOINMSG', "Hi!  My name is Edgar, and I am a status bot.  My primary role is to keep the Psi Community Forums aware of your presence, but feel free to use me on your personal website.  Shortly, you will receive my authorisation request.  Please authorise me so that I can work properly.  Once authorized, I will appear invisible to you.  This is so that I don't clutter up your roster.
Send me \"visible\" and I will toggle my visibility to you.");


# These settings for the status.php
// Location of the iconsets as web clients will see them
define('WEBURL', "http://yourserver.com/iconsets");
// Location of the iconsets as the web server will see them (normally same as above, but can't be https)
define('WEBURLSERV', "http://yourserver.com/iconsets");
// Iconset to use if no iconset is specified in URL
define('DEFICONSET', "gabber");
// Display format to use if no iconset specified (recommended you NOT use image here);
define('DEFTYPE', "html");

?>
