<?php

/*
    This file is part of Edgar 0.2.1

    Edgar 0.2.1 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Edgar 0.2.1 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Edgar 0.2.1; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

$status_names = array
(
	'available'     =>      'Online',
	'away'          =>      'Away',
	'xa'            =>      'Not Available',
	'dnd'           =>      'Do not disturb',
	'chat'          =>      'Free for chat',
	'unavailable'   =>      'Offline',
	'unsubscribed'  =>      'Not Subscribed',
	'pending'       =>      'Pending Subscription'
);

function process_registrations()
{
	global $JABBER, $SQL;
	$result = $SQL->Query("SELECT * FROM edgar_status WHERE avail = 'unsubscribed'");
	while ($row = $SQL->GetNextRow($result))
	{
		$JABBER->SendMessage($row->jid, "normal", NULL, array ("body" => JOINMSG ));
		$JABBER->Subscribe($row->jid);
		$JABBER->SubscriptionAcceptRequest($row->jid);
		$SQL->Query("UPDATE edgar_status SET avail='pending' WHERE jid='$row->jid'");
  	}
}

function elapsed($length)
{  // I'm sure there's a better way to do this, but my mind wasn't working at the time.
	if ($length < 86400) {
		$years = floor($length / (60 * 60 * 24 * 365));
		$length = $length - ($years * (60 * 60 * 24 * 365));
		$days = floor($length / (60 * 60 * 24));
		$length = $length - ($days * (60 * 60 * 24));
		$hours = floor($length / (60 * 60));
		$length = $length - ($hours * (60 * 60));
		$minutes = floor($length / 60);
		$seconds = $length - ($minutes * 60);
		if ($length >= 3600) $output .= "$hours Hours, ";
		if ($length >= 60) $output .= "$minutes Minutes, ";
		$output .= "$seconds Seconds.";
	} else {
		$output = "on " . gmdate("D M j G:i:s T Y");
	}
	return $output;
}

function user_stats()
{
	global $SQL;
	$result =$SQL->Query("SELECT COUNT(*) AS total FROM edgar_status WHERE avail != \"unsubscribed\" AND avail != \"pending\"");
	$row = $SQL->GetNextRow($result);
	$totalsubs = $row->total;
	$result =$SQL->Query("SELECT COUNT(*) AS online FROM edgar_status WHERE avail != \"unsubscribed\" AND avail != \"pending\" AND avail != \"unavailable\"");
	$row = $SQL->GetNextRow($result);
	$totalon = $row->online;
	return "$totalon/$totalsubs users online.";
}

#Returns a string with the output of the systems fortune utility
function fortune($params = "")
{
	/*  Not secure, nor deals with non-ascii chars without causing invalid XML.
	exec("/usr/games/fortune", $rows);
	foreach($rows as $row)
		$output .= $row . "\n";
	return = htmlspecialchars($output);
	*/
	return "Fortune has been temporarily disabled because of problems.";
}

#Any online bot with a fortune command needs a command to deliver an insult on request
#  Will come after fortune is ironed out, might even just be another fortune database
function insult($params = "")
{
	/*  Not secure, nor deals with non-ascii chars without causing invalid XML.
	exec("/usr/games/fortune", $rows);
	foreach($rows as $row) {
		$output .= $row . "\n";
	}
	return = htmlspecialchars($output);
	*/
	return "Insults have been temporarily disabled.  For now, 'You're mother has a smooth forehead' -- Michael Dorn in Power Klingon";
}

?>
